/*
		IntQuery.cpp : implementation file

        Copyright (C) 2000 Patrick Dughi

        This software may be used and distributed according to the terms
        of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

        The author may be reached at dughi@imaxx.net.

.		Class to match dialog of the same name.
	
*/

#include "stdafx.h"
#include "Cbreak.h"
#include "IntQuery.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// IntQuery dialog


IntQuery::IntQuery(char *title, char *query, int initial, CWnd* pParent /*=NULL*/)
	: CDialog(IntQuery::IDD, pParent)
{
	//{{AFX_DATA_INIT(IntQuery)
	m_query_box = initial;
	m_query_string = iprintf("%s",query);
	//}}AFX_DATA_INIT
	query_string=query;
	query_title=title;
	default_val = initial;

}


void IntQuery::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(IntQuery)
	DDX_Text(pDX, IDC_QUERY_BOX, m_query_box);
	DDX_Text(pDX, IDC_QUERY_STRING, m_query_string);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(IntQuery, CDialog)
	//{{AFX_MSG_MAP(IntQuery)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// IntQuery message handlers



BOOL IntQuery::OnInitDialog() 
{
	CDialog::OnInitDialog();
//	((CDialog *)GetDlgItem(IDD_INT_QUERY))->SetWindowText(iprintf("%s",query_title.c_str()));
	return TRUE; 
}

void IntQuery::OnOK() 
{
    UpdateData(TRUE);
	value=m_query_box;
	CDialog::OnOK();
}
